net.sf.jasperreports.components.barcode4j

## Class Code39Component

- java.lang.Object
- - net.sf.jasperreports.components.barcode4j.BarcodeComponent
  - - net.sf.jasperreports.components.barcode4j.Code39Component

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Component, JRChangeEventsSupport, JRCloneable

      public class Code39Component
      extends BarcodeComponent

  Version:
    $Id: Code39Component.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHECKSUM_MODE`
    `static java.lang.String` | `PROPERTY_DISPLAY_CHECKSUM`
    `static java.lang.String` | `PROPERTY_DISPLAY_START_STOP`
    `static java.lang.String` | `PROPERTY_EXTENDED_CHARSET_ENABLED`
    `static java.lang.String` | `PROPERTY_INTERCHAR_GAP_WIDTH`
    `static java.lang.String` | `PROPERTY_WIDE_FACTOR`

    - ### Fields inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `ORIENTATION_DOWN, ORIENTATION_LEFT, ORIENTATION_RIGHT, ORIENTATION_UP, PROPERTY_CODE_EXPRESSION, PROPERTY_EVALUATION_GROUP, PROPERTY_EVALUATION_TIME, PROPERTY_MODULE_WIDTH, PROPERTY_ORIENTATION, PROPERTY_PATTERN_EXPRESSION, PROPERTY_PREFIX, PROPERTY_QUIET_ZONE, PROPERTY_TEXT_POSITION, PROPERTY_VERTICAL_QUIET_ZONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Code39Component()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChecksumMode()`
    `java.lang.Double` | `getIntercharGapWidth()`
    `java.lang.Double` | `getWideFactor()`
    `java.lang.Boolean` | `isDisplayChecksum()`
    `java.lang.Boolean` | `isDisplayStartStop()`
    `java.lang.Boolean` | `isExtendedCharSetEnabled()`
    `void` | `receive(BarcodeVisitor visitor)`
    `void` | `setChecksumMode(org.krysalis.barcode4j.ChecksumMode checksumMode)`
    `void` | `setChecksumMode(java.lang.String checksumMode)`
    `void` | `setDisplayChecksum(java.lang.Boolean displayChecksum)` Enables or disables the use of the checksum in the human-readable message.
    `void` | `setDisplayStartStop(java.lang.Boolean displayStartStop)` Enables or disables the use of the start and stop characters in the human-readable message.
    `void` | `setExtendedCharSetEnabled(java.lang.Boolean extendedCharSetEnabled)` Enables or disables the extended character set.
    `void` | `setIntercharGapWidth(java.lang.Double intercharGapWidth)` Sets the width between encoded characters.
    `void` | `setWideFactor(java.lang.Double wideFactor)` Sets the factor by which wide bars are broader than narrow bars.

    - ### Methods inherited from class net.sf.jasperreports.components.barcode4j.BarcodeComponent

      `clone, cloneObject, getCodeExpression, getEvaluationGroup, getEvaluationTimeValue, getEventSupport, getModuleWidth, getOrientation, getPatternExpression, getQuietZone, getTextPosition, getVerticalQuietZone, setCodeExpression, setEvaluationGroup, setEvaluationTimeValue, setModuleWidth, setOrientation, setPatternExpression, setQuietZone, setTextPosition, setTextPosition, setVerticalQuietZone`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_CHECKSUM_MODE

          public static final java.lang.String PROPERTY_CHECKSUM_MODE

      See Also:
        Constant Field Values

    - #### PROPERTY_DISPLAY_CHECKSUM

          public static final java.lang.String PROPERTY_DISPLAY_CHECKSUM

      See Also:
        Constant Field Values

    - #### PROPERTY_DISPLAY_START_STOP

          public static final java.lang.String PROPERTY_DISPLAY_START_STOP

      See Also:
        Constant Field Values

    - #### PROPERTY_EXTENDED_CHARSET_ENABLED

          public static final java.lang.String PROPERTY_EXTENDED_CHARSET_ENABLED

      See Also:
        Constant Field Values

    - #### PROPERTY_INTERCHAR_GAP_WIDTH

          public static final java.lang.String PROPERTY_INTERCHAR_GAP_WIDTH

      See Also:
        Constant Field Values

    - #### PROPERTY_WIDE_FACTOR

          public static final java.lang.String PROPERTY_WIDE_FACTOR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Code39Component

          public Code39Component()

  - ### Method Detail

    - #### getChecksumMode

          public java.lang.String getChecksumMode()

    - #### setChecksumMode

          public void setChecksumMode(java.lang.String checksumMode)

    - #### setChecksumMode

          public void setChecksumMode(org.krysalis.barcode4j.ChecksumMode checksumMode)

    - #### isDisplayChecksum

          public java.lang.Boolean isDisplayChecksum()

    - #### setDisplayChecksum

          public void setDisplayChecksum(java.lang.Boolean displayChecksum)

      Enables or disables the use of the checksum in the human-readable message.

    - #### isDisplayStartStop

          public java.lang.Boolean isDisplayStartStop()

    - #### setDisplayStartStop

          public void setDisplayStartStop(java.lang.Boolean displayStartStop)

      Enables or disables the use of the start and stop characters in the human-readable message.

    - #### isExtendedCharSetEnabled

          public java.lang.Boolean isExtendedCharSetEnabled()

    - #### setExtendedCharSetEnabled

          public void setExtendedCharSetEnabled(java.lang.Boolean extendedCharSetEnabled)

      Enables or disables the extended character set.

    - #### getIntercharGapWidth

          public java.lang.Double getIntercharGapWidth()

    - #### setIntercharGapWidth

          public void setIntercharGapWidth(java.lang.Double intercharGapWidth)

      Sets the width between encoded characters.

    - #### getWideFactor

          public java.lang.Double getWideFactor()

    - #### setWideFactor

          public void setWideFactor(java.lang.Double wideFactor)

      Sets the factor by which wide bars are broader than narrow bars.

    - #### receive

          public void receive(BarcodeVisitor visitor)

      Specified by:
        `receive` in class `BarcodeComponent`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com